# 丰链工具箱 Chrome 扩展

一个实用的 Chrome 扩展工具集合，集成了二维码生成、Word 转 HTML、中英文翻译等实用功能。

## 功能特性

### 二维码生成器 🔲
- 自动获取当前标签页 URL 并生成二维码
- 支持手动输入文本/链接生成二维码
- 生成高清晰度二维码，支持长文本
- 即时预览生成结果

### Word 转 HTML 转换器 📄
- 支持 .docx 文件转换为 HTML
- 保留原文档格式和样式
- 实时预览转换结果
- 支持一键下载转换后的 HTML 文件
- 自动处理图片和表格

### 中英文翻译 🔤
- 支持 Windows(Ctrl+Q) 和 Mac(Command+Q) 快捷键激活
- 框选任意区域中文文本进行翻译
- 支持中英互译和繁体转换
- 翻译结果即时显示在选区旁边
- 点击任意位置关闭翻译结果

## 系统要求

- Chrome 88+ 或其他基于 Chromium 的浏览器
- Windows/MacOS/Linux 系统均可运行

## 安装方法

### 从 Chrome 商店安装
1. 访问 Chrome 网上应用店
2. 搜索"丰链工具箱"
3. 点击"添加至 Chrome"

### 开发者模式安装
1. 下载本项目代码
2. 打开 Chrome 浏览器，进入扩展程序页面 (chrome://extensions/)
3. 开启右上角的"开发者模式"
4. 点击"加载已解压的扩展程序"
5. 选择项目文件夹即可完成安装

## 使用方法

### 二维码生成
1. 点击扩展图标打开工具箱
2. 默认显示当前页面的二维码
3. 可在输入框中输入任意文本/链接
4. 点击"生成二维码"按钮即可

### Word 转 HTML
1. 点击"Word转HTML"标签页
2. 点击选择或拖拽上传 Word 文档
3. 等待转换完成后可预览效果
4. 点击"下载HTML"保存文件

### 翻译功能
1. 点击"翻译设置"标签页开启功能
2. 选择目标语言（英文/繁体中文）
3. 在任意页面按下快捷键(Ctrl+Q/Command+Q)
4. 框选需要翻译的文本
5. 翻译结果会显示在选区旁边

## 技术栈

- HTML5/CSS3
- JavaScript ES6+
- Chrome Extension API
- QRCode.js - 二维码生成
- Mammoth.js - Word 文档转换
- 百度翻译 API - 文本翻译

## 开发者

Made by Scout

## 更新日志

### v1.0.0
- 初始版本发布
- 实现基础功能：二维码生成、Word转HTML、翻译
- 支持 Windows/Mac 快捷键
